//AABB - [2020-06-22 11:41:46]
#ifndef _FTTGENERATEKEYFRAME_H_
#define _FTTGENERATEKEYFRAME_H_

#include "common.h"
#include "CFTTMatrix32.h"
#include "sh_struct.h"


void FTTGenerateKeyFrameMatrix(CFTTMatrix32 &, TFTTAnimKeyFrame *, int);                                        //0021CD24
void FTTGenerateKeyFrameMatrix(TFTTAnimKeyFrame *, TFTTAnimKeyFrame *, int);                                    //0021CFDC
void FTTGenerateKeyFrameMatrixSimple(CFTTMatrix32 &, TFTTAnimKeySampleTM *, TFTTAnimKeySampleTM *, float);      //0021D268
void FTTGenerateKeyFrameMatrixSimple(TFTTAnimKeyFrame *, TFTTAnimKeySampleTM *, TFTTAnimKeySampleTM *, float);  //0021D420
void FTTGeneratePhysiqueMatrices(TFTTAnimKeyFrame * tft0, TFTTAnimKeyFrame *tft1, int i2, int i3);              //0x0021d600
void FTTGeneratePhysiqueMatrices(CFTTMatrix32 *cFTTMatrix32_0, TFTTAnimKeyFrame *tFTTAnimKeyFrame_1, int i_2, int i_3);// 0021d59e 
#endif  //_FTTGENERATEKEYFRAME_H_